org.apache.commons.collections4.bidimap

## Class AbstractDualBidiMap.KeySetIterator<K>

- java.lang.Object
- - org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator<E,E>
  - - org.apache.commons.collections4.iterators.AbstractIteratorDecorator<K>
    - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.KeySetIterator<K>

- All Implemented Interfaces:
    Iterator<K>
  Enclosing class:
    AbstractDualBidiMap<K,V>

      protected static class AbstractDualBidiMap.KeySetIterator<K>
      extends AbstractIteratorDecorator<K>

  Inner class KeySetIterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canRemove` Whether remove is allowed at present
    `protected K` | `lastKey` The last returned key
    `protected AbstractDualBidiMap<K,?>` | `parent` The parent map

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeySetIterator(Iterator<K> iterator, AbstractDualBidiMap<K,?> parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `K` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator

      `getIterator, hasNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### parent

          protected final AbstractDualBidiMap<K,?> parent

      The parent map

    - #### lastKey

          protected K lastKey

      The last returned key

    - #### canRemove

          protected boolean canRemove

      Whether remove is allowed at present

  - ### Constructor Detail

    - #### KeySetIterator

          protected KeySetIterator(Iterator<K> iterator,
                                   AbstractDualBidiMap<K,?> parent)

      Constructor.
      Parameters:
        `iterator` - the iterator to decorate
        `parent` - the parent map

  - ### Method Detail

    - #### next

          public K next()

      Description copied from class: `AbstractIteratorDecorator`
      Specified by:
        `next` in interface `Iterator<K>`
      Overrides:
        `next` in class `AbstractIteratorDecorator<K>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<K>`
      Overrides:
        `remove` in class `AbstractUntypedIteratorDecorator<K,K>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.